# $Revision: 1.13 $, $Date: 2009/02/25 21:51:42 $
Summary:	X.org null input driver
Summary(pl.UTF-8):	Pusty sterownik wejściowy X.org
Name:		xorg-driver-input-void
Version:	1.2.0
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-input-void-%{version}.tar.bz2
# Source0-md5:	c81fbd9368abbe1488b423ddef477e88
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-proto-inputproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-util-util-macros >= 0.99.2
BuildRequires:	xorg-xserver-server-devel >= 1.0.99.901
BuildRequires:	rpmbuild(macros) >= 1.389
%requires_xorg_xserver_xinput
Requires:	xorg-xserver-server >= 1.0.99.901
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org dummy/null input driver. It doesn't connect to any physical
device, and it never delivers any events. It functions as both a
pointer and keyboard device, and may be used as X server's core
pointer and/or core keyboard. It's purpose is to allow the X server to
operate without a core pointer and/or core keyboard.

%description -l pl.UTF-8
Pusty sterownik wejściowy X.org. Nie łączy się z żadnym urządzeniem
fizycznym i nie dostarcza żadnych zdarzeń. Działa zarówno jako
urządzenie wskazujące jak i klawiatura; może być używany jako główne
urządzenie wskazujące i/lub główna klawiatura serwera X. Jego celem
jest umożliwienie działania serwera X bez głównego urządzenia
wskazujacego i/lub głównej klawiatury.

%prep
%setup -q -n xf86-input-void-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog
%attr(755,root,root) %{_libdir}/xorg/modules/input/void_drv.so
%{_mandir}/man4/void.4*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-driver-input-void.spec,v $
Revision 1.13  2009/02/25 21:51:42  arekm
- up to 1.2.0

Revision 1.12  2009/02/25 21:15:54  arekm
- release 3

Revision 1.11  2008/07/01 16:06:24  arekm
- release 2

Revision 1.10  2007-09-07 21:30:04  qboosh
- updated to 1.1.1

Revision 1.9  2007/09/06 19:45:55  arekm
- rebuilding for new xserver

Revision 1.8  2007/09/06 16:16:38  arekm
- track xserver input deps

Revision 1.7  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.5  2006/04/10 14:35:33  qboosh
- updated 1.1.0

Revision 1.4  2006/01/06 13:35:27  qboosh
- 1.0.0.5 (X11R7.0 release)

Revision 1.3  2005/12/07 13:19:26  qboosh
- 1.0.0.3 (X11R7.0-RC3)

Revision 1.2  2005/11/20 13:26:11  qboosh
- 1.0.0.2 (X11R7.0-RC2)

Revision 1.1  2005/10/29 00:34:35  qboosh
- new
